## com.bbn.openmap.omGraphics
Class OffsetGrabPoint.Offset

    java.lang.Object
      com.bbn.openmap.omGraphics.OffsetGrabPoint.Offset

Enclosing class:
  OffsetGrabPoint

public class OffsetGrabPoint.Offset
extends java.lang.Object

A wrapper class of the internal GrabPoints. Contains their pixel offset distance from the OffsetGrabPoint.

Field Summary
`GrabPoint` `gp`
`int` `offsetX`
`int` `offsetY`

Constructor Summary
`OffsetGrabPoint.Offset(GrabPoint grabPoint)`

Method Summary
`void` `move()` Move relocates the GrabPoint to the current position of the OffsetGrabPoint plus the offset distances.
`void` `update()` Update resets the pixel offsets from the OffsetGrabPoint, to the current distances between the GrabPoint and the OffsetGrabPoint.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### gp

    public GrabPoint gp

### offsetX

    public int offsetX

### offsetY

    public int offsetY

Constructor Detail

### OffsetGrabPoint.Offset

    public OffsetGrabPoint.Offset(GrabPoint grabPoint)

Method Detail

### update

    public void update()

  Update resets the pixel offsets from the OffsetGrabPoint, to the current distances between the GrabPoint and the OffsetGrabPoint.

### move

    public void move()

  Move relocates the GrabPoint to the current position of the OffsetGrabPoint plus the offset distances.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details